> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aryn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Async Task Status



## OpenAPI

````yaml api-reference/endpoint/platform/openapi.json get /v1/async/result/{task_id}
openapi: 3.1.0
info:
  title: Aryn Platform API
  version: 0.1.0
servers:
  - url: https://api.aryn.cloud
    description: US Region
  - url: https://api.aryn.ai
    description: US Region
  - url: https://api.us.aryn.cloud
    description: US Region
  - url: https://api.us.aryn.ai
    description: US Region
security: []
paths:
  /v1/async/result/{task_id}:
    get:
      tags:
        - Document
      summary: Get Async Task Status
      operationId: _async_add_doc_status_v1
      parameters:
        - name: task_id
          in: path
          required: true
          schema:
            type: string
            title: Task ID
        - name: User-Agent
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: User-Agent
        - name: path_filter
          in: query
          required: true
          schema:
            type: string
            enum:
              - ^/v1/storage/docsets/{docset_id}/docs$
            title: Path Filter
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentMetadata'
        '202':
          description: Task is pending
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    examples:
                      - Task is pending.
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    examples:
                      - No Aryn API key provided.
        '404':
          description: No such task.
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    examples:
                      - No such task.
        '500':
          description: Internal Server Error
          content:
            text/plain:
              schema:
                type: string
                examples:
                  - Internal Server Error
      security:
        - HTTPBearer: []
components:
  schemas:
    DocumentMetadata:
      properties:
        account_id:
          type: string
          title: Account Id
          description: The account id containing the Document.
        doc_id:
          type: string
          title: Doc Id
          description: The unique id for the Document.
        docset_id:
          type: string
          title: Docset Id
          description: The unique id for the DocSet containing the Document.
        created_at:
          type: string
          title: Created At
          description: The time at which this document was added to the system.
        name:
          type: string
          title: Name
          description: The name of this Document.
        size:
          type: integer
          title: Size
          description: The size of the Document in bytes.
        content_type:
          type: string
          title: Content Type
          description: The content type of the source Document.
        properties:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Properties
          description: Additional properties for the Document.
      type: object
      required:
        - account_id
        - doc_id
        - docset_id
        - created_at
        - name
        - size
        - content_type
      title: DocumentMetadata
      description: ''
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````